.rui-menu {
  display: flex;
  flex-direction: column;
  padding: 0;
  border: 1px solid var(--border-color);
  background-color: var(--background-color);

  &--horizontal {
    display: inline-flex;
    flex-direction: row;
    border: none;

    // Item variant
    .rui-menu-item {
      min-width: unset;

      span {
        display: none;
      }
    }

    // Item separator variant
    .rui-menu-item-separator {
      height: 1em;
      border-top: unset;
      border-left: 1px solid currentcolor;
      margin: var(--spacer-small) 0;
    }
  }

  // Borderless variant. Separators are smaller too.
  &--alternate {
    border: none;

    .rui-menu-item-separator {
      width: 50%;
      border-top-style: dashed;
      margin-right: auto;
      margin-left: auto;
    }
  }
}
